Update Notification Preference
curl --request POST \
--url https://www.corgea.app/api/v1/notifications/preferences/{type_code} \
--header 'CORGEA-TOKEN: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email_enabled": true
}
'import requests
url = "https://www.corgea.app/api/v1/notifications/preferences/{type_code}"
payload = { "email_enabled": True }
headers = {
"CORGEA-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'CORGEA-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email_enabled: true})
};
fetch('https://www.corgea.app/api/v1/notifications/preferences/{type_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"error": "Invalid JSON body"
}{
"error": "Missing or invalid authorization header"
}{
"error": "Unknown notification type"
}Notifications
Update Notification Preference
Set or reset the authenticated user’s email preference for a notification type. Use null to inherit the company default.
POST
/
notifications
/
preferences
/
{type_code}
Update Notification Preference
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Path Parameters
Notification type code, such as scheduled_scan.daily_report
Body
application/json
Set true or false, or null to inherit the company default
Response
Request completed successfully
Example:
"ok"
Was this page helpful?
⌘I
